This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 854586 - F18 KDE Live (alpha TC5) Configure network dialogue isn't accessible in Anaconda
F18 KDE Live (alpha TC5) Configure network dialogue isn't accessible in Anaconda
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
abrt_hash:76b9767b9cbcf8c9c75203df2f8...
:
Depends On:
Blocks: F18Alpha-accepted/F18AlphaFreezeExcept
  Show dependency treegraph
 
Reported: 2012-09-05 07:41 EDT by Xavier Hourcade
Modified: 2012-09-17 19:57 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-14 03:31:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: ifcfg.log (687 bytes, text/plain)
2012-09-05 07:41 EDT, Xavier Hourcade
no flags Details
File: anaconda-tb (566.31 KB, text/plain)
2012-09-05 07:42 EDT, Xavier Hourcade
no flags Details
File: environ (877 bytes, text/plain)
2012-09-05 07:42 EDT, Xavier Hourcade
no flags Details
File: type (9 bytes, text/plain)
2012-09-05 07:42 EDT, Xavier Hourcade
no flags Details
File: storage.log (239.64 KB, text/plain)
2012-09-05 07:42 EDT, Xavier Hourcade
no flags Details
File: other involved packages (32 bytes, text/plain)
2012-09-05 07:42 EDT, Xavier Hourcade
no flags Details
File: program.log (97.78 KB, text/plain)
2012-09-05 07:42 EDT, Xavier Hourcade
no flags Details
File: product (6 bytes, text/plain)
2012-09-05 07:42 EDT, Xavier Hourcade
no flags Details
File: anaconda.log (2.76 KB, text/plain)
2012-09-05 07:42 EDT, Xavier Hourcade
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-09-05 07:43 EDT, Xavier Hourcade
no flags Details
File: version (2 bytes, text/plain)
2012-09-05 07:43 EDT, Xavier Hourcade
no flags Details
File: release (33 bytes, text/plain)
2012-09-05 07:43 EDT, Xavier Hourcade
no flags Details
File: messages (187.05 KB, text/plain)
2012-09-05 07:43 EDT, Xavier Hourcade
no flags Details
File: description (538 bytes, text/plain)
2012-09-05 07:43 EDT, Xavier Hourcade
no flags Details

  None (edit)
Description Xavier Hourcade 2012-09-05 07:41:56 EDT
Description of problem:


Version-Release number of selected component:
anaconda-18.6.4-1.fc18.x86_64

Additional info:
libreport version: 2.0.12
cmdline:        initrd=initrd0.img root=live:UUID=CA0D-61CC rootfstype=vfat ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
kernel:         3.6.0-0.rc2.git2.1.fc18.x86_64
Comment 1 Xavier Hourcade 2012-09-05 07:41:59 EDT
Created attachment 609996 [details]
File: ifcfg.log
Comment 2 Xavier Hourcade 2012-09-05 07:42:29 EDT
Created attachment 609997 [details]
File: anaconda-tb
Comment 3 Xavier Hourcade 2012-09-05 07:42:32 EDT
Created attachment 609998 [details]
File: environ
Comment 4 Xavier Hourcade 2012-09-05 07:42:34 EDT
Created attachment 609999 [details]
File: type
Comment 5 Xavier Hourcade 2012-09-05 07:42:45 EDT
Created attachment 610000 [details]
File: storage.log
Comment 6 Xavier Hourcade 2012-09-05 07:42:47 EDT
Created attachment 610001 [details]
File: other involved packages
Comment 7 Xavier Hourcade 2012-09-05 07:42:54 EDT
Created attachment 610002 [details]
File: program.log
Comment 8 Xavier Hourcade 2012-09-05 07:42:56 EDT
Created attachment 610003 [details]
File: product
Comment 9 Xavier Hourcade 2012-09-05 07:42:58 EDT
Created attachment 610004 [details]
File: anaconda.log
Comment 10 Xavier Hourcade 2012-09-05 07:43:00 EDT
Created attachment 610005 [details]
File: hashmarkername
Comment 11 Xavier Hourcade 2012-09-05 07:43:03 EDT
Created attachment 610006 [details]
File: version
Comment 12 Xavier Hourcade 2012-09-05 07:43:05 EDT
Created attachment 610007 [details]
File: release
Comment 13 Xavier Hourcade 2012-09-05 07:43:14 EDT
Created attachment 610008 [details]
File: messages
Comment 14 Xavier Hourcade 2012-09-05 07:43:16 EDT
Created attachment 610009 [details]
File: description
Comment 15 Brian Lane 2012-09-05 13:23:34 EDT
nm-connection-editor now has its own package, so anaconda needs to add a Requires for it.
Comment 16 Adam Williamson 2012-09-05 14:43:17 EDT
Discussed at 2012-09-05 blocker review meeting. We were a bit unclear of the exact reproducer for this: it seems nm-connection-editor is needed to edit connections in anaconda, but we're not sure of the details. Accepted as NTH, though, it seems at least that bad.
Comment 17 Xavier Hourcade 2012-09-05 21:39:04 EDT
I usually provide more details earlier, missed the time to do it -- ABRT has shown itself a nice time saver once again, by opening this ticket for me :)

Reproducible

  Always

Steps to reproduce

  Couldn't be simpler.

  1. Boot F18 KDE Live alpha TC5, enter "liveuser" to launch KDE session :)
  2. Establish WLAN connection via NM applet (LAN is unplugged)
  3. Check internet access is functional (eg. with Konq)
  4. Launch Anaconda from desktop icon
  5. Click Network Settings

  So far so good: SSID appears already set, as retrieved from NM settings.

  6. Now hit the "Configure" button

Current Result

  Crash report dialogue appears immediately

Expected Result

  NM Configuration Dialogue appears

Additional information

  Kevin Kofler suggested the following call
  
    subprocess.Popen(["/usr/libexec/kde4/networkmanagement_configshell",
      "--connection", "%s" % uuid])
Comment 18 Xavier Hourcade 2012-09-05 21:54:30 EDT
Just to clarify (it may be ambiguous)

  5. Click Network Settings (from Anaconda screen, still -- of course)
Comment 19 Kevin Kofler 2012-09-06 18:38:30 EDT
Yes, it'd be nice if we could run the native KDE NM GUI instead of hardcoding nm-connection-editor. The networkmanagement_configshell binary is what you want to run on the KDE image.
Comment 20 Radek Vykydal 2012-09-07 04:38:16 EDT
(In reply to comment #19)
> Yes, it'd be nice if we could run the native KDE NM GUI instead of
> hardcoding nm-connection-editor. The networkmanagement_configshell binary is
> what you want to run on the KDE image.

Or perhaps (as before new UI) we could disable/remove network spoke in installer and use only live environment to configure networking.
Comment 21 Chris Lumens 2012-09-07 10:36:54 EDT
Radek - that would certainly be very easy to accomplish, and does make some sense to me.
Comment 22 Adam Williamson 2012-09-07 15:40:53 EDT
Discussed at 2012-09-05 NTH review meeting. Accepted as NTH at least, as a crash on editing network settings is obviously bad and worth fixing.
Comment 23 Fedora Update System 2012-09-07 16:17:27 EDT
anaconda-18.6.6-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.6.6-1.fc18
Comment 24 Fedora Update System 2012-09-08 15:25:58 EDT
Package anaconda-18.6.6-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.6.6-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13611/anaconda-18.6.6-1.fc18
then log in and leave karma (feedback).
Comment 25 Adam Williamson 2012-09-10 11:39:40 EDT
Discussed at 2012-09-10 QA meeting, acting as a blocker review meeting. As we understand it, this bug affects only live environments without nm-connection-editor. As you could always work around it by configuring the network connection in the host environment, this remains NTH and is rejected as a blocker.
Comment 26 Radek Vykydal 2012-09-11 03:12:39 EDT
(In reply to comment #21)
> Radek - that would certainly be very easy to accomplish, and does make some
> sense to me.

Pushed into master:
commit af12b7dcab2a75af6cbbc3feade96f3dd51c755f
Comment 27 Jaroslav Reznik 2012-09-11 04:56:41 EDT
Is this really in anaconda-18.6.6-1? I still see Network Configuration spoke on Live. (If I understand the solution with disable NCS was choosen).
Comment 28 Radek Vykydal 2012-09-11 05:04:35 EDT
(In reply to comment #27)
> Is this really in anaconda-18.6.6-1? I still see Network Configuration spoke
> on Live. (If I understand the solution with disable NCS was choosen).

No, my patch in comment #26 is only in master.
Comment 29 Jaroslav Reznik 2012-09-11 07:54:52 EDT
Btw. I can see Confiration button does not work in DVD installation. This would make blocker from this bug...

I'm not sure it's related but I can see
(nm-connection-editor:1004): GLib-GIO-ERROR **: Settings schema 'org.gnome.nm-applet.eap' is not installed.
Comment 30 Radek Vykydal 2012-09-11 08:11:09 EDT
(In reply to comment #29)
> Btw. I can see Confiration button does not work in DVD installation. This
> would make blocker from this bug...
> 
> I'm not sure it's related but I can see
> (nm-connection-editor:1004): GLib-GIO-ERROR **: Settings schema
> 'org.gnome.nm-applet.eap' is not installed.

Yes, that is known, normal DVD installation bz:
https://bugzilla.redhat.com/show_bug.cgi?id=852792
I didn't escalate it here (make discussion more confusing) in Live CD as there should be used desktop configuration tool anyway.
Comment 31 Adam Williamson 2012-09-12 02:41:00 EDT
So, *this* bug is fixed in Alpha RC2 - nm-connection-editor is on the KDE spin - but now it hits 852792 :) The 'Configure...' button works from the GNOME spin, but not from the KDE spin. Running liveinst in a console shows the same 'Settings schema 'org.gnome.nm-applet.eap' is not installed' error that is covered in 852792.
Comment 32 Radek Vykydal 2012-09-12 04:36:55 EDT
(In reply to comment #31)
> So, *this* bug is fixed in Alpha RC2 - nm-connection-editor is on the KDE
> spin - but now it hits 852792 :) 

Yes, it was expected, but meanwhile we came up with better solution for live CD - removing the network spoke button entirely in live CD installs (patch has been reviewed).
Comment 33 Jaroslav Reznik 2012-09-12 10:19:40 EDT
(In reply to comment #32)
> (In reply to comment #31)
> > So, *this* bug is fixed in Alpha RC2 - nm-connection-editor is on the KDE
> > spin - but now it hits 852792 :) 
> 
> Yes, it was expected, but meanwhile we came up with better solution for live
> CD - removing the network spoke button entirely in live CD installs (patch
> has been reviewed).

Is it already available in the build? Fixed In Version should be adjusted according to the current/planned build as the disabled network spoke is still there.
Comment 34 Xavier Hourcade 2012-09-12 11:09:00 EDT
( I confirm this crash no longer occurs in alpha RC2, spoke still in with configure button disabled -- here I can see a window, which title is the SSID set in Live environment, being created and destroyed immediately, silently )

Related : when no network connection was established in Live session *prior* to launch Anaconda, then, Anaconda kindly brings the network spoke as a first screen, inviting User to set it up.

Will that screen get reviewed as well, so that Anaconda asks User to set it up via the Live environment, instead ?
Comment 35 Kevin Kofler 2012-09-12 15:35:30 EDT
> Yes, it was expected, but meanwhile we came up with better solution for live CD
> - removing the network spoke button entirely in live CD installs (patch has
> been reviewed).

When you build that, please don't forget to also remove the nm-connection-editor dependency again, we'd like to not have unnecessary GNOME stuff dragged onto our KDE live image. :-)
Comment 36 Xavier Hourcade 2012-09-14 03:31:48 EDT
Confirming the fix is shipped as part of F18 Live KDE Alpha (RC3) ISO. Anaconda still retrieves network settings from KDE Live environment, display them in its own Network screen. For connection details, Configure button now make use of the KDE Live GUI -- works.
Comment 37 Fedora Update System 2012-09-17 19:57:58 EDT
anaconda-18.6.6-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.